Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.om.portlet
Class PortletDefinitionImpl

    java.lang.Object
      org.jasig.portal.container.om.portlet.PortletDefinitionImpl

All Implemented Interfaces:
  org.apache.pluto.om.Controller, org.apache.pluto.om.Model, org.apache.pluto.om.portlet.PortletDefinition, org.apache.pluto.om.portlet.PortletDefinitionCtrl

    public class PortletDefinitionImpl

extends java.lang.Object
implements org.apache.pluto.om.portlet.PortletDefinition, org.apache.pluto.om.portlet.PortletDefinitionCtrl

Implementation of Apache Pluto object model.

Version:
  $Revision: 1.13 $
Author:
  Ken Weiner, kweiner@unicon.net

Field Summary
`private ChannelDefinition` | `channelDefinition`
`private java.lang.String` | `className`
`private org.apache.pluto.om.portlet.ContentTypeSet` | `contentTypes`
`private org.apache.pluto.om.common.DescriptionSet` | `descriptions`
`private org.apache.pluto.om.common.DisplayNameSet` | `displayNames`
`private java.lang.String` | `expirationCache`
`private org.apache.pluto.om.common.LanguageSet` | `languages`
`private static org.apache.commons.logging.Log` | `log`
`private java.lang.String` | `name`
`private org.apache.pluto.om.common.ObjectID` | `objectId`
`private org.apache.pluto.om.common.ParameterSet` | `parameters`
`private org.apache.pluto.om.portlet.PortletApplicationDefinition` | `portletApplicationDefinition`
`private java.lang.ClassLoader` | `portletClassLoader`
`private org.apache.pluto.om.common.PreferenceSet` | `preferences`
`private org.apache.pluto.om.common.SecurityRoleRefSet` | `securityRoleRefs`
`private org.apache.pluto.om.servlet.ServletDefinition` | `servletDefinition`

Constructor Summary
`PortletDefinitionImpl()`

Method Summary
`ChannelDefinition` | `getChannelDefinition()`
`java.lang.String` | `getClassName()`
`org.apache.pluto.om.portlet.ContentTypeSet` | `getContentTypeSet()`
`org.apache.pluto.om.common.Description` | `getDescription(java.util.Locale locale)`
`org.apache.pluto.om.common.DisplayName` | `getDisplayName(java.util.Locale locale)`
`java.lang.String` | `getExpirationCache()`
`org.apache.pluto.om.common.ObjectID` | `getId()`
`org.apache.pluto.om.common.ParameterSet` | `getInitParameterSet()`
`org.apache.pluto.om.common.SecurityRoleRefSet` | `getInitSecurityRoleRefSet()`
`org.apache.pluto.om.common.LanguageSet` | `getLanguageSet()`
`java.lang.String` | `getName()`
`org.apache.pluto.om.portlet.PortletApplicationDefinition` | `getPortletApplicationDefinition()`
`java.lang.ClassLoader` | `getPortletClassLoader()`
`org.apache.pluto.om.common.PreferenceSet` | `getPreferenceSet()`
`org.apache.pluto.om.servlet.ServletDefinition` | `getServletDefinition()`
`void` | `loadPreferences()`
`void` | `setChannelDefinition(ChannelDefinition channelDefinition)`
`void` | `setClassName(java.lang.String className)`
`void` | `setContentTypes(org.apache.pluto.om.portlet.ContentTypeSet contentTypes)`
`void` | `setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)`
`void` | `setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)`
`void` | `setExpirationCache(java.lang.String expirationCache)`
`void` | `setId(java.lang.String id)`
`void` | `setInitParameters(org.apache.pluto.om.common.ParameterSet parameters)`
`void` | `setInitSecurityRoleRefSet(org.apache.pluto.om.common.SecurityRoleRefSet securityRoleRefs)`
`void` | `setLanguages(org.apache.pluto.om.common.LanguageSet languages)`
`void` | `setName(java.lang.String name)`
`void` | `setPortletApplicationDefinition(org.apache.pluto.om.portlet.PortletApplicationDefinition definition)`
`void` | `setPortletClassLoader(java.lang.ClassLoader classLoader)`
`void` | `setPreferences(org.apache.pluto.om.common.PreferenceSet preferences)`
`void` | `setServletDefinition(org.apache.pluto.om.servlet.ServletDefinition definition)`
`void` | `store()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final org.apache.commons.logging.Log log

### objectId

    private org.apache.pluto.om.common.ObjectID objectId

### className

    private java.lang.String className

### name

    private java.lang.String name

### descriptions

    private org.apache.pluto.om.common.DescriptionSet descriptions

### languages

    private org.apache.pluto.om.common.LanguageSet languages

### parameters

    private org.apache.pluto.om.common.ParameterSet parameters

### securityRoleRefs

    private org.apache.pluto.om.common.SecurityRoleRefSet securityRoleRefs

### preferences

    private org.apache.pluto.om.common.PreferenceSet preferences

### contentTypes

    private org.apache.pluto.om.portlet.ContentTypeSet contentTypes

### portletApplicationDefinition

    private org.apache.pluto.om.portlet.PortletApplicationDefinition portletApplicationDefinition

### servletDefinition

    private org.apache.pluto.om.servlet.ServletDefinition servletDefinition

### displayNames

    private org.apache.pluto.om.common.DisplayNameSet displayNames

### expirationCache

    private java.lang.String expirationCache

### portletClassLoader

    private java.lang.ClassLoader portletClassLoader

### channelDefinition

    private ChannelDefinition channelDefinition

Constructor Detail

### PortletDefinitionImpl

    public PortletDefinitionImpl()

Method Detail

### getId

    public org.apache.pluto.om.common.ObjectID getId()

  Specified by:
    `getId` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getClassName

    public java.lang.String getClassName()

  Specified by:
    `getClassName` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getDescription

    public org.apache.pluto.om.common.Description getDescription(java.util.Locale locale)

  Specified by:
    `getDescription` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getLanguageSet

    public org.apache.pluto.om.common.LanguageSet getLanguageSet()

  Specified by:
    `getLanguageSet` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getInitParameterSet

    public org.apache.pluto.om.common.ParameterSet getInitParameterSet()

  Specified by:
    `getInitParameterSet` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getInitSecurityRoleRefSet

    public org.apache.pluto.om.common.SecurityRoleRefSet getInitSecurityRoleRefSet()

  Specified by:
    `getInitSecurityRoleRefSet` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getPreferenceSet

    public org.apache.pluto.om.common.PreferenceSet getPreferenceSet()

  Specified by:
    `getPreferenceSet` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getContentTypeSet

    public org.apache.pluto.om.portlet.ContentTypeSet getContentTypeSet()

  Specified by:
    `getContentTypeSet` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getPortletApplicationDefinition

    public org.apache.pluto.om.portlet.PortletApplicationDefinition getPortletApplicationDefinition()

  Specified by:
    `getPortletApplicationDefinition` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getServletDefinition

    public org.apache.pluto.om.servlet.ServletDefinition getServletDefinition()

  Specified by:
    `getServletDefinition` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getDisplayName

    public org.apache.pluto.om.common.DisplayName getDisplayName(java.util.Locale locale)

  Specified by:
    `getDisplayName` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getExpirationCache

    public java.lang.String getExpirationCache()

  Specified by:
    `getExpirationCache` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### getPortletClassLoader

    public java.lang.ClassLoader getPortletClassLoader()

  Specified by:
    `getPortletClassLoader` in interface `org.apache.pluto.om.portlet.PortletDefinition`

### setId

    public void setId(java.lang.String id)

  Specified by:
    `setId` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`

### setClassName

    public void setClassName(java.lang.String className)

  Specified by:
    `setClassName` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`

### setName

    public void setName(java.lang.String name)

  Specified by:
    `setName` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`

### setDescriptions

    public void setDescriptions(org.apache.pluto.om.common.DescriptionSet descriptions)

  Specified by:
    `setDescriptions` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`

### setDisplayNames

    public void setDisplayNames(org.apache.pluto.om.common.DisplayNameSet displayNames)

  Specified by:
    `setDisplayNames` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`

### setPortletClassLoader

    public void setPortletClassLoader(java.lang.ClassLoader classLoader)

  Specified by:
    `setPortletClassLoader` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`

### store

    public void store()
               throws java.io.IOException

  Specified by:
    `store` in interface `org.apache.pluto.om.portlet.PortletDefinitionCtrl`
  Throws:
    `java.io.IOException`

### setInitParameters

    public void setInitParameters(org.apache.pluto.om.common.ParameterSet parameters)

### setExpirationCache

    public void setExpirationCache(java.lang.String expirationCache)

### setLanguages

    public void setLanguages(org.apache.pluto.om.common.LanguageSet languages)

### setInitSecurityRoleRefSet

    public void setInitSecurityRoleRefSet(org.apache.pluto.om.common.SecurityRoleRefSet securityRoleRefs)

### setPreferences

    public void setPreferences(org.apache.pluto.om.common.PreferenceSet preferences)

### loadPreferences

    public void loadPreferences()
                         throws java.io.IOException

  Throws:
    `java.io.IOException`

### setContentTypes

    public void setContentTypes(org.apache.pluto.om.portlet.ContentTypeSet contentTypes)

### setPortletApplicationDefinition

    public void setPortletApplicationDefinition(org.apache.pluto.om.portlet.PortletApplicationDefinition definition)

### setServletDefinition

    public void setServletDefinition(org.apache.pluto.om.servlet.ServletDefinition definition)

### getChannelDefinition

    public ChannelDefinition getChannelDefinition()

### setChannelDefinition

    public void setChannelDefinition(ChannelDefinition channelDefinition)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD